Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network240.76.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
240.76.0.0
Broadcast address
240.79.255.255
First usable
240.76.0.1
Last usable
240.79.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F04C0000 · Integer 4031512576 to 4031774719
Reverse DNS zones
76.240.in-addr.arpa
77.240.in-addr.arpa
78.240.in-addr.arpa
79.240.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110000.01001100.00000000.00000000240.76.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network11110000.01001100.00000000.00000000240.76.0.0
Broadcast11110000.01001111.11111111.11111111240.79.255.255
Split into smaller subnets/22

240.76.0.0/14 makes 256 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1240.76.0.0/22240.76.0.1 to 240.76.3.254240.76.3.2551,022
2240.76.4.0/22240.76.4.1 to 240.76.7.254240.76.7.2551,022
3240.76.8.0/22240.76.8.1 to 240.76.11.254240.76.11.2551,022
4240.76.12.0/22240.76.12.1 to 240.76.15.254240.76.15.2551,022
5240.76.16.0/22240.76.16.1 to 240.76.19.254240.76.19.2551,022
6240.76.20.0/22240.76.20.1 to 240.76.23.254240.76.23.2551,022
7240.76.24.0/22240.76.24.1 to 240.76.27.254240.76.27.2551,022
8240.76.28.0/22240.76.28.1 to 240.76.31.254240.76.31.2551,022
9240.76.32.0/22240.76.32.1 to 240.76.35.254240.76.35.2551,022
10240.76.36.0/22240.76.36.1 to 240.76.39.254240.76.39.2551,022
11240.76.40.0/22240.76.40.1 to 240.76.43.254240.76.43.2551,022
12240.76.44.0/22240.76.44.1 to 240.76.47.254240.76.47.2551,022
13240.76.48.0/22240.76.48.1 to 240.76.51.254240.76.51.2551,022
14240.76.52.0/22240.76.52.1 to 240.76.55.254240.76.55.2551,022
15240.76.56.0/22240.76.56.1 to 240.76.59.254240.76.59.2551,022
16240.76.60.0/22240.76.60.1 to 240.76.63.254240.76.63.2551,022
17240.76.64.0/22240.76.64.1 to 240.76.67.254240.76.67.2551,022
18240.76.68.0/22240.76.68.1 to 240.76.71.254240.76.71.2551,022
19240.76.72.0/22240.76.72.1 to 240.76.75.254240.76.75.2551,022
20240.76.76.0/22240.76.76.1 to 240.76.79.254240.76.79.2551,022
21240.76.80.0/22240.76.80.1 to 240.76.83.254240.76.83.2551,022
22240.76.84.0/22240.76.84.1 to 240.76.87.254240.76.87.2551,022
23240.76.88.0/22240.76.88.1 to 240.76.91.254240.76.91.2551,022
24240.76.92.0/22240.76.92.1 to 240.76.95.254240.76.95.2551,022
25240.76.96.0/22240.76.96.1 to 240.76.99.254240.76.99.2551,022
26240.76.100.0/22240.76.100.1 to 240.76.103.254240.76.103.2551,022
27240.76.104.0/22240.76.104.1 to 240.76.107.254240.76.107.2551,022
28240.76.108.0/22240.76.108.1 to 240.76.111.254240.76.111.2551,022
29240.76.112.0/22240.76.112.1 to 240.76.115.254240.76.115.2551,022
30240.76.116.0/22240.76.116.1 to 240.76.119.254240.76.119.2551,022
31240.76.120.0/22240.76.120.1 to 240.76.123.254240.76.123.2551,022
32240.76.124.0/22240.76.124.1 to 240.76.127.254240.76.127.2551,022
33240.76.128.0/22240.76.128.1 to 240.76.131.254240.76.131.2551,022
34240.76.132.0/22240.76.132.1 to 240.76.135.254240.76.135.2551,022
35240.76.136.0/22240.76.136.1 to 240.76.139.254240.76.139.2551,022
36240.76.140.0/22240.76.140.1 to 240.76.143.254240.76.143.2551,022
37240.76.144.0/22240.76.144.1 to 240.76.147.254240.76.147.2551,022
38240.76.148.0/22240.76.148.1 to 240.76.151.254240.76.151.2551,022
39240.76.152.0/22240.76.152.1 to 240.76.155.254240.76.155.2551,022
40240.76.156.0/22240.76.156.1 to 240.76.159.254240.76.159.2551,022
41240.76.160.0/22240.76.160.1 to 240.76.163.254240.76.163.2551,022
42240.76.164.0/22240.76.164.1 to 240.76.167.254240.76.167.2551,022
43240.76.168.0/22240.76.168.1 to 240.76.171.254240.76.171.2551,022
44240.76.172.0/22240.76.172.1 to 240.76.175.254240.76.175.2551,022
45240.76.176.0/22240.76.176.1 to 240.76.179.254240.76.179.2551,022
46240.76.180.0/22240.76.180.1 to 240.76.183.254240.76.183.2551,022
47240.76.184.0/22240.76.184.1 to 240.76.187.254240.76.187.2551,022
48240.76.188.0/22240.76.188.1 to 240.76.191.254240.76.191.2551,022
49240.76.192.0/22240.76.192.1 to 240.76.195.254240.76.195.2551,022
50240.76.196.0/22240.76.196.1 to 240.76.199.254240.76.199.2551,022
51240.76.200.0/22240.76.200.1 to 240.76.203.254240.76.203.2551,022
52240.76.204.0/22240.76.204.1 to 240.76.207.254240.76.207.2551,022
53240.76.208.0/22240.76.208.1 to 240.76.211.254240.76.211.2551,022
54240.76.212.0/22240.76.212.1 to 240.76.215.254240.76.215.2551,022
55240.76.216.0/22240.76.216.1 to 240.76.219.254240.76.219.2551,022
56240.76.220.0/22240.76.220.1 to 240.76.223.254240.76.223.2551,022
57240.76.224.0/22240.76.224.1 to 240.76.227.254240.76.227.2551,022
58240.76.228.0/22240.76.228.1 to 240.76.231.254240.76.231.2551,022
59240.76.232.0/22240.76.232.1 to 240.76.235.254240.76.235.2551,022
60240.76.236.0/22240.76.236.1 to 240.76.239.254240.76.239.2551,022
61240.76.240.0/22240.76.240.1 to 240.76.243.254240.76.243.2551,022
62240.76.244.0/22240.76.244.1 to 240.76.247.254240.76.247.2551,022
63240.76.248.0/22240.76.248.1 to 240.76.251.254240.76.251.2551,022
64240.76.252.0/22240.76.252.1 to 240.76.255.254240.76.255.2551,022
65240.77.0.0/22240.77.0.1 to 240.77.3.254240.77.3.2551,022
66240.77.4.0/22240.77.4.1 to 240.77.7.254240.77.7.2551,022
67240.77.8.0/22240.77.8.1 to 240.77.11.254240.77.11.2551,022
68240.77.12.0/22240.77.12.1 to 240.77.15.254240.77.15.2551,022
69240.77.16.0/22240.77.16.1 to 240.77.19.254240.77.19.2551,022
70240.77.20.0/22240.77.20.1 to 240.77.23.254240.77.23.2551,022
71240.77.24.0/22240.77.24.1 to 240.77.27.254240.77.27.2551,022
72240.77.28.0/22240.77.28.1 to 240.77.31.254240.77.31.2551,022
73240.77.32.0/22240.77.32.1 to 240.77.35.254240.77.35.2551,022
74240.77.36.0/22240.77.36.1 to 240.77.39.254240.77.39.2551,022
75240.77.40.0/22240.77.40.1 to 240.77.43.254240.77.43.2551,022
76240.77.44.0/22240.77.44.1 to 240.77.47.254240.77.47.2551,022
77240.77.48.0/22240.77.48.1 to 240.77.51.254240.77.51.2551,022
78240.77.52.0/22240.77.52.1 to 240.77.55.254240.77.55.2551,022
79240.77.56.0/22240.77.56.1 to 240.77.59.254240.77.59.2551,022
80240.77.60.0/22240.77.60.1 to 240.77.63.254240.77.63.2551,022
81240.77.64.0/22240.77.64.1 to 240.77.67.254240.77.67.2551,022
82240.77.68.0/22240.77.68.1 to 240.77.71.254240.77.71.2551,022
83240.77.72.0/22240.77.72.1 to 240.77.75.254240.77.75.2551,022
84240.77.76.0/22240.77.76.1 to 240.77.79.254240.77.79.2551,022
85240.77.80.0/22240.77.80.1 to 240.77.83.254240.77.83.2551,022
86240.77.84.0/22240.77.84.1 to 240.77.87.254240.77.87.2551,022
87240.77.88.0/22240.77.88.1 to 240.77.91.254240.77.91.2551,022
88240.77.92.0/22240.77.92.1 to 240.77.95.254240.77.95.2551,022
89240.77.96.0/22240.77.96.1 to 240.77.99.254240.77.99.2551,022
90240.77.100.0/22240.77.100.1 to 240.77.103.254240.77.103.2551,022
91240.77.104.0/22240.77.104.1 to 240.77.107.254240.77.107.2551,022
92240.77.108.0/22240.77.108.1 to 240.77.111.254240.77.111.2551,022
93240.77.112.0/22240.77.112.1 to 240.77.115.254240.77.115.2551,022
94240.77.116.0/22240.77.116.1 to 240.77.119.254240.77.119.2551,022
95240.77.120.0/22240.77.120.1 to 240.77.123.254240.77.123.2551,022
96240.77.124.0/22240.77.124.1 to 240.77.127.254240.77.127.2551,022
97240.77.128.0/22240.77.128.1 to 240.77.131.254240.77.131.2551,022
98240.77.132.0/22240.77.132.1 to 240.77.135.254240.77.135.2551,022
99240.77.136.0/22240.77.136.1 to 240.77.139.254240.77.139.2551,022
100240.77.140.0/22240.77.140.1 to 240.77.143.254240.77.143.2551,022
101240.77.144.0/22240.77.144.1 to 240.77.147.254240.77.147.2551,022
102240.77.148.0/22240.77.148.1 to 240.77.151.254240.77.151.2551,022
103240.77.152.0/22240.77.152.1 to 240.77.155.254240.77.155.2551,022
104240.77.156.0/22240.77.156.1 to 240.77.159.254240.77.159.2551,022
105240.77.160.0/22240.77.160.1 to 240.77.163.254240.77.163.2551,022
106240.77.164.0/22240.77.164.1 to 240.77.167.254240.77.167.2551,022
107240.77.168.0/22240.77.168.1 to 240.77.171.254240.77.171.2551,022
108240.77.172.0/22240.77.172.1 to 240.77.175.254240.77.175.2551,022
109240.77.176.0/22240.77.176.1 to 240.77.179.254240.77.179.2551,022
110240.77.180.0/22240.77.180.1 to 240.77.183.254240.77.183.2551,022
111240.77.184.0/22240.77.184.1 to 240.77.187.254240.77.187.2551,022
112240.77.188.0/22240.77.188.1 to 240.77.191.254240.77.191.2551,022
113240.77.192.0/22240.77.192.1 to 240.77.195.254240.77.195.2551,022
114240.77.196.0/22240.77.196.1 to 240.77.199.254240.77.199.2551,022
115240.77.200.0/22240.77.200.1 to 240.77.203.254240.77.203.2551,022
116240.77.204.0/22240.77.204.1 to 240.77.207.254240.77.207.2551,022
117240.77.208.0/22240.77.208.1 to 240.77.211.254240.77.211.2551,022
118240.77.212.0/22240.77.212.1 to 240.77.215.254240.77.215.2551,022
119240.77.216.0/22240.77.216.1 to 240.77.219.254240.77.219.2551,022
120240.77.220.0/22240.77.220.1 to 240.77.223.254240.77.223.2551,022
121240.77.224.0/22240.77.224.1 to 240.77.227.254240.77.227.2551,022
122240.77.228.0/22240.77.228.1 to 240.77.231.254240.77.231.2551,022
123240.77.232.0/22240.77.232.1 to 240.77.235.254240.77.235.2551,022
124240.77.236.0/22240.77.236.1 to 240.77.239.254240.77.239.2551,022
125240.77.240.0/22240.77.240.1 to 240.77.243.254240.77.243.2551,022
126240.77.244.0/22240.77.244.1 to 240.77.247.254240.77.247.2551,022
127240.77.248.0/22240.77.248.1 to 240.77.251.254240.77.251.2551,022
128240.77.252.0/22240.77.252.1 to 240.77.255.254240.77.255.2551,022
129240.78.0.0/22240.78.0.1 to 240.78.3.254240.78.3.2551,022
130240.78.4.0/22240.78.4.1 to 240.78.7.254240.78.7.2551,022
131240.78.8.0/22240.78.8.1 to 240.78.11.254240.78.11.2551,022
132240.78.12.0/22240.78.12.1 to 240.78.15.254240.78.15.2551,022
133240.78.16.0/22240.78.16.1 to 240.78.19.254240.78.19.2551,022
134240.78.20.0/22240.78.20.1 to 240.78.23.254240.78.23.2551,022
135240.78.24.0/22240.78.24.1 to 240.78.27.254240.78.27.2551,022
136240.78.28.0/22240.78.28.1 to 240.78.31.254240.78.31.2551,022
137240.78.32.0/22240.78.32.1 to 240.78.35.254240.78.35.2551,022
138240.78.36.0/22240.78.36.1 to 240.78.39.254240.78.39.2551,022
139240.78.40.0/22240.78.40.1 to 240.78.43.254240.78.43.2551,022
140240.78.44.0/22240.78.44.1 to 240.78.47.254240.78.47.2551,022
141240.78.48.0/22240.78.48.1 to 240.78.51.254240.78.51.2551,022
142240.78.52.0/22240.78.52.1 to 240.78.55.254240.78.55.2551,022
143240.78.56.0/22240.78.56.1 to 240.78.59.254240.78.59.2551,022
144240.78.60.0/22240.78.60.1 to 240.78.63.254240.78.63.2551,022
145240.78.64.0/22240.78.64.1 to 240.78.67.254240.78.67.2551,022
146240.78.68.0/22240.78.68.1 to 240.78.71.254240.78.71.2551,022
147240.78.72.0/22240.78.72.1 to 240.78.75.254240.78.75.2551,022
148240.78.76.0/22240.78.76.1 to 240.78.79.254240.78.79.2551,022
149240.78.80.0/22240.78.80.1 to 240.78.83.254240.78.83.2551,022
150240.78.84.0/22240.78.84.1 to 240.78.87.254240.78.87.2551,022
151240.78.88.0/22240.78.88.1 to 240.78.91.254240.78.91.2551,022
152240.78.92.0/22240.78.92.1 to 240.78.95.254240.78.95.2551,022
153240.78.96.0/22240.78.96.1 to 240.78.99.254240.78.99.2551,022
154240.78.100.0/22240.78.100.1 to 240.78.103.254240.78.103.2551,022
155240.78.104.0/22240.78.104.1 to 240.78.107.254240.78.107.2551,022
156240.78.108.0/22240.78.108.1 to 240.78.111.254240.78.111.2551,022
157240.78.112.0/22240.78.112.1 to 240.78.115.254240.78.115.2551,022
158240.78.116.0/22240.78.116.1 to 240.78.119.254240.78.119.2551,022
159240.78.120.0/22240.78.120.1 to 240.78.123.254240.78.123.2551,022
160240.78.124.0/22240.78.124.1 to 240.78.127.254240.78.127.2551,022
161240.78.128.0/22240.78.128.1 to 240.78.131.254240.78.131.2551,022
162240.78.132.0/22240.78.132.1 to 240.78.135.254240.78.135.2551,022
163240.78.136.0/22240.78.136.1 to 240.78.139.254240.78.139.2551,022
164240.78.140.0/22240.78.140.1 to 240.78.143.254240.78.143.2551,022
165240.78.144.0/22240.78.144.1 to 240.78.147.254240.78.147.2551,022
166240.78.148.0/22240.78.148.1 to 240.78.151.254240.78.151.2551,022
167240.78.152.0/22240.78.152.1 to 240.78.155.254240.78.155.2551,022
168240.78.156.0/22240.78.156.1 to 240.78.159.254240.78.159.2551,022
169240.78.160.0/22240.78.160.1 to 240.78.163.254240.78.163.2551,022
170240.78.164.0/22240.78.164.1 to 240.78.167.254240.78.167.2551,022
171240.78.168.0/22240.78.168.1 to 240.78.171.254240.78.171.2551,022
172240.78.172.0/22240.78.172.1 to 240.78.175.254240.78.175.2551,022
173240.78.176.0/22240.78.176.1 to 240.78.179.254240.78.179.2551,022
174240.78.180.0/22240.78.180.1 to 240.78.183.254240.78.183.2551,022
175240.78.184.0/22240.78.184.1 to 240.78.187.254240.78.187.2551,022
176240.78.188.0/22240.78.188.1 to 240.78.191.254240.78.191.2551,022
177240.78.192.0/22240.78.192.1 to 240.78.195.254240.78.195.2551,022
178240.78.196.0/22240.78.196.1 to 240.78.199.254240.78.199.2551,022
179240.78.200.0/22240.78.200.1 to 240.78.203.254240.78.203.2551,022
180240.78.204.0/22240.78.204.1 to 240.78.207.254240.78.207.2551,022
181240.78.208.0/22240.78.208.1 to 240.78.211.254240.78.211.2551,022
182240.78.212.0/22240.78.212.1 to 240.78.215.254240.78.215.2551,022
183240.78.216.0/22240.78.216.1 to 240.78.219.254240.78.219.2551,022
184240.78.220.0/22240.78.220.1 to 240.78.223.254240.78.223.2551,022
185240.78.224.0/22240.78.224.1 to 240.78.227.254240.78.227.2551,022
186240.78.228.0/22240.78.228.1 to 240.78.231.254240.78.231.2551,022
187240.78.232.0/22240.78.232.1 to 240.78.235.254240.78.235.2551,022
188240.78.236.0/22240.78.236.1 to 240.78.239.254240.78.239.2551,022
189240.78.240.0/22240.78.240.1 to 240.78.243.254240.78.243.2551,022
190240.78.244.0/22240.78.244.1 to 240.78.247.254240.78.247.2551,022
191240.78.248.0/22240.78.248.1 to 240.78.251.254240.78.251.2551,022
192240.78.252.0/22240.78.252.1 to 240.78.255.254240.78.255.2551,022
193240.79.0.0/22240.79.0.1 to 240.79.3.254240.79.3.2551,022
194240.79.4.0/22240.79.4.1 to 240.79.7.254240.79.7.2551,022
195240.79.8.0/22240.79.8.1 to 240.79.11.254240.79.11.2551,022
196240.79.12.0/22240.79.12.1 to 240.79.15.254240.79.15.2551,022
197240.79.16.0/22240.79.16.1 to 240.79.19.254240.79.19.2551,022
198240.79.20.0/22240.79.20.1 to 240.79.23.254240.79.23.2551,022
199240.79.24.0/22240.79.24.1 to 240.79.27.254240.79.27.2551,022
200240.79.28.0/22240.79.28.1 to 240.79.31.254240.79.31.2551,022
201240.79.32.0/22240.79.32.1 to 240.79.35.254240.79.35.2551,022
202240.79.36.0/22240.79.36.1 to 240.79.39.254240.79.39.2551,022
203240.79.40.0/22240.79.40.1 to 240.79.43.254240.79.43.2551,022
204240.79.44.0/22240.79.44.1 to 240.79.47.254240.79.47.2551,022
205240.79.48.0/22240.79.48.1 to 240.79.51.254240.79.51.2551,022
206240.79.52.0/22240.79.52.1 to 240.79.55.254240.79.55.2551,022
207240.79.56.0/22240.79.56.1 to 240.79.59.254240.79.59.2551,022
208240.79.60.0/22240.79.60.1 to 240.79.63.254240.79.63.2551,022
209240.79.64.0/22240.79.64.1 to 240.79.67.254240.79.67.2551,022
210240.79.68.0/22240.79.68.1 to 240.79.71.254240.79.71.2551,022
211240.79.72.0/22240.79.72.1 to 240.79.75.254240.79.75.2551,022
212240.79.76.0/22240.79.76.1 to 240.79.79.254240.79.79.2551,022
213240.79.80.0/22240.79.80.1 to 240.79.83.254240.79.83.2551,022
214240.79.84.0/22240.79.84.1 to 240.79.87.254240.79.87.2551,022
215240.79.88.0/22240.79.88.1 to 240.79.91.254240.79.91.2551,022
216240.79.92.0/22240.79.92.1 to 240.79.95.254240.79.95.2551,022
217240.79.96.0/22240.79.96.1 to 240.79.99.254240.79.99.2551,022
218240.79.100.0/22240.79.100.1 to 240.79.103.254240.79.103.2551,022
219240.79.104.0/22240.79.104.1 to 240.79.107.254240.79.107.2551,022
220240.79.108.0/22240.79.108.1 to 240.79.111.254240.79.111.2551,022
221240.79.112.0/22240.79.112.1 to 240.79.115.254240.79.115.2551,022
222240.79.116.0/22240.79.116.1 to 240.79.119.254240.79.119.2551,022
223240.79.120.0/22240.79.120.1 to 240.79.123.254240.79.123.2551,022
224240.79.124.0/22240.79.124.1 to 240.79.127.254240.79.127.2551,022
225240.79.128.0/22240.79.128.1 to 240.79.131.254240.79.131.2551,022
226240.79.132.0/22240.79.132.1 to 240.79.135.254240.79.135.2551,022
227240.79.136.0/22240.79.136.1 to 240.79.139.254240.79.139.2551,022
228240.79.140.0/22240.79.140.1 to 240.79.143.254240.79.143.2551,022
229240.79.144.0/22240.79.144.1 to 240.79.147.254240.79.147.2551,022
230240.79.148.0/22240.79.148.1 to 240.79.151.254240.79.151.2551,022
231240.79.152.0/22240.79.152.1 to 240.79.155.254240.79.155.2551,022
232240.79.156.0/22240.79.156.1 to 240.79.159.254240.79.159.2551,022
233240.79.160.0/22240.79.160.1 to 240.79.163.254240.79.163.2551,022
234240.79.164.0/22240.79.164.1 to 240.79.167.254240.79.167.2551,022
235240.79.168.0/22240.79.168.1 to 240.79.171.254240.79.171.2551,022
236240.79.172.0/22240.79.172.1 to 240.79.175.254240.79.175.2551,022
237240.79.176.0/22240.79.176.1 to 240.79.179.254240.79.179.2551,022
238240.79.180.0/22240.79.180.1 to 240.79.183.254240.79.183.2551,022
239240.79.184.0/22240.79.184.1 to 240.79.187.254240.79.187.2551,022
240240.79.188.0/22240.79.188.1 to 240.79.191.254240.79.191.2551,022
241240.79.192.0/22240.79.192.1 to 240.79.195.254240.79.195.2551,022
242240.79.196.0/22240.79.196.1 to 240.79.199.254240.79.199.2551,022
243240.79.200.0/22240.79.200.1 to 240.79.203.254240.79.203.2551,022
244240.79.204.0/22240.79.204.1 to 240.79.207.254240.79.207.2551,022
245240.79.208.0/22240.79.208.1 to 240.79.211.254240.79.211.2551,022
246240.79.212.0/22240.79.212.1 to 240.79.215.254240.79.215.2551,022
247240.79.216.0/22240.79.216.1 to 240.79.219.254240.79.219.2551,022
248240.79.220.0/22240.79.220.1 to 240.79.223.254240.79.223.2551,022
249240.79.224.0/22240.79.224.1 to 240.79.227.254240.79.227.2551,022
250240.79.228.0/22240.79.228.1 to 240.79.231.254240.79.231.2551,022
251240.79.232.0/22240.79.232.1 to 240.79.235.254240.79.235.2551,022
252240.79.236.0/22240.79.236.1 to 240.79.239.254240.79.239.2551,022
253240.79.240.0/22240.79.240.1 to 240.79.243.254240.79.243.2551,022
254240.79.244.0/22240.79.244.1 to 240.79.247.254240.79.247.2551,022
255240.79.248.0/22240.79.248.1 to 240.79.251.254240.79.251.2551,022
256240.79.252.0/22240.79.252.1 to 240.79.255.254240.79.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses